#!/bin/sh
reboot_mini() {
    reboot mini
}

eth0_up() {
    ifconfig eth0 $1 up
}

setup_eth0() {
    ifconfig eth0 $1 netmask $2 && route add default gw $3
}

while true
do
    case "$1" in
    --reboot)
        reboot_mini
        break
        ;;
    --eth0_up)
        eth0_up $2
        exit 0
        ;;
    --setup_eth0)
        setup_eth0 $2 $3 $4
        exit 0
        ;;
    --*)
        shift
        continue
        ;;
    *)
        break
        ;;
    esac
done
