#! /bin/sh

cd /usr/local/HiAI/run_package

if [ -e hi3559_ep.tgz ]; then
    mkdir /usr/local/HiAI/media_upgrade
    cp /usr/local/HiAI/media/* /usr/local/HiAI/media_upgrade/ -r
    echo unpacking hi3559_ep.tgz...
    tar zxvf hi3559_ep.tgz -C /usr/local/HiAI/media_upgrade
    rm -rf hi3559_ep.tgz

    cd /usr/local/HiAI/media_upgrade
    mv hi_sensor_i2c.ko ko/extdrv/
    mv hi35xx_dev_slv.ko ko/pcie/
    mv irq_map_slv.ko ko/pcie/
    mv mcc_drv_slv.ko ko/pcie/
    mv mcc_usrdev_slv.ko ko/pcie/
    mv pcit_dma_slv.ko ko/pcie/
    mv sys_version.conf /etc/

    if [ ! -e /usr/local/HiAI/media_upgrade/version.txt ]; then
        rm -rf /usr/local/HiAI/media_upgrade
        echo hi3559_ep.tgz install fail
    fi

    #ںűں
    if [ -e /usr/local/HiAI/media_upgrade/kernel_upgrade.sh ]; then
        chmod +x /usr/local/HiAI/media_upgrade/kernel_upgrade.sh
        /usr/local/HiAI/media_upgrade/kernel_upgrade.sh
    fi

    rm -rf /usr/local/HiAI/media_upgrade/u-boot-hi3559av100.bin
    rm -rf /usr/local/HiAI/media_upgrade/uImage_hi3559av100_multi-core
    rm -rf /usr/local/HiAI/media_upgrade/rootfs_hi3559av100_4k_24bit.yaffs2

    cd /usr/local/HiAI/media

else
    echo error: hi3559_ep.tgz is not exist!
fi
